mav_viewParamsAnimate(3)

NAME
mav_viewParamsAnimate - Animate a set of view parameters.

LEVEL
Maverik Level 1

SYNTAX
mav_viewParamsAnimate(MAV_viewParams *targ, MAV_viewParams st, MAV_viewParams fi, float len, int unit);

ARGUMENTS

MAV_viewParams *targ
    View parameters to manipulate.

MAV_viewParams st
    Initial view parameters.

MAV_viewParams fi
    Final view parameters.

float len
    Length of animation (see below).

int units
    Units of len (see below)

DESCRIPTION
This function animates the targ view parameters between st and fi. len defines the length of animation and unit the units of val. unit can be set to MAV_ANIMATE_TIME (len is then the number of seconds over which to animate); MAV_ANIMATE_FRAME (len is then the number of frames over which to animate) or MAV_ANIMATE_DISTANCE (len is then the distance traveled in each step of the animation). unit can further be bit-wised OR'd with MAV_ANIMATE_LINEAR (the default) to give a linear animation where each step has an equal increment; or MAV_ANIMATE_S to give an S-shaped curve where the animation starts slow, speeds up and then slows down.